- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Friends

# QWebElementCollection Class Reference

Search for all occurrences

## Detailed Description

Definition at line 170 of file qwebelement.h.

`#include <qwebelement.h>`

List of all members.

## Classes
class | const_iterator
class | iterator
## Public Member Functions
| QWebElementCollection ()
| QWebElementCollection (const QWebElement &contextElement, const QString &query)
| QWebElementCollection (const QWebElementCollection &)
QWebElementCollection & | operator= (const QWebElementCollection &)
| ~QWebElementCollection ()
QWebElementCollection | operator+ (const QWebElementCollection &other) const
QWebElementCollection & | operator+= (const QWebElementCollection &other)
void | append (const QWebElementCollection &collection)
int | count () const
QWebElement | at (int i) const
QWebElement | operator[] (int i) const
QWebElement | first () const
QWebElement | last () const
QList< QWebElement > | toList () const
const_iterator | begin () const
const_iterator | end () const
const_iterator | constBegin () const
const_iterator | constEnd () const
iterator | begin ()
iterator | end ()
## Friends
class | const_iterator
class | iterator

## Constructor & Destructor Documentation

QWebElementCollection | ( |  | ) |

QWebElementCollection | ( | const QWebElement & | contextElement,
|  | const QString & | query
| ) |  |

QWebElementCollection | ( | const QWebElementCollection & |  | ) |

~QWebElementCollection | ( |  | ) |

## Member Function Documentation

QWebElementCollection& operator= | ( | const QWebElementCollection & |  | ) |

QWebElementCollection operator+ | ( | const QWebElementCollection & | other | ) | const

QWebElementCollection& operator+= | ( | const QWebElementCollection & | other | ) | `[inline]`

Definition at line 180 of file qwebelement.h.

        {
            append(other); return *this;
        }

void append | ( | const QWebElementCollection & | collection | ) |

Search for all occurrences

int count | ( |  | ) | const

Search for all occurrences

QWebElement at | ( | int | i | ) | const

Search for all occurrences

QWebElement operator[] | ( | int | i | ) | const `[inline]`

Definition at line 189 of file qwebelement.h.

    { return at(i); }

QWebElement first | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 191 of file qwebelement.h.

    { return at(0); }

QWebElement last | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 192 of file qwebelement.h.

    { return at(count() - 1); }

QList<QWebElement> toList | ( |  | ) | const

Search for all occurrences

const_iterator begin | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 225 of file qwebelement.h.

    { return constBegin(); }

const_iterator end | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 226 of file qwebelement.h.

    { return constEnd(); }

const_iterator constBegin | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 227 of file qwebelement.h.

    { return const_iterator(this, 0); }

const_iterator constEnd | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 228 of file qwebelement.h.

    { return const_iterator(this, count()); };

iterator begin | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 259 of file qwebelement.h.

    { return iterator(this, 0); }

iterator end | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 260 of file qwebelement.h.

    { return iterator(this, count()); }

## Friends And Related Function Documentation

friend class const_iterator `[friend]`

Search for all occurrences

Definition at line 223 of file qwebelement.h.

friend class iterator `[friend]`

Search for all occurrences

Definition at line 257 of file qwebelement.h.

The documentation for this class was generated from the following file:

- QtWebKit/qwebelement.h

QWebElementCollection QWebElementCollection QWebElementCollection QWebElementCollection QWebElementCollection QWebElementCollection QWebElementCollection QWebElementCollection QWebElementCollection QWebElementCollection
QWebElementCollection QWebElementCollection QWebElementCollection QWebElementCollection QWebElementCollection QWebElementCollection QWebElementCollection QWebElementCollection QWebElementCollection QWebElementCollection